Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Interface PickedState

All Superinterfaces:
  ItemSelectable, PickedInfo

All Known Implementing Classes:
  AbstractPickedState, MultiPickedState

public interface PickedState
extends PickedInfo, ItemSelectable

An interface for classes that keep track of the "picked" state of edges and vertices.

Author:
  Tom Nelson, Joshua O'Madadhain

Method Summary
`void` | `addListener(PickEventListener pel)` Deprecated. Use addItemListener
`void` | `clearPickedEdges()` Clears the "picked" state from all edges.
`void` | `clearPickedVertices()` Clears the "picked" state from all vertices.
`Set` | `getPickedEdges()` Returns all "picked" edges.
`Set` | `getPickedVertices()` Returns all "picked" vertices.
`boolean` | `isPicked(ArchetypeEdge e)` Returns `true` if `e` is currently "picked".
`boolean` | `isPicked(ArchetypeVertex v)` Returns `true` if `v` is currently "picked".
`boolean` | `pick(ArchetypeEdge e, boolean b)` Marks `e` as "picked" if `b == true`, and unmarks `e` as picked if `b == false`.
`boolean` | `pick(ArchetypeVertex v, boolean b)` Marks `v` as "picked" if `b == true`, and unmarks `v` as picked if `b == false`.
`void` | `removeListener(PickEventListener pel)` Deprecated. Use removeItemListener

Methods inherited from interface java.awt.ItemSelectable
`addItemListener, getSelectedObjects, removeItemListener`

Method Detail

### pick

    public boolean pick(ArchetypeVertex v,
                        boolean b)

  Marks `v` as "picked" if `b == true`, and unmarks `v` as picked if `b == false`.

  Returns:
    the "picked" state of `v` prior to this call

### pick

    public boolean pick(ArchetypeEdge e,
                        boolean b)

  Marks `e` as "picked" if `b == true`, and unmarks `e` as picked if `b == false`.

  Returns:
    the "picked" state of `e` prior to this call

### clearPickedVertices

    public void clearPickedVertices()

  Clears the "picked" state from all vertices.

### getPickedVertices

    public Set getPickedVertices()

  Returns all "picked" vertices.

### isPicked

    public boolean isPicked(ArchetypeVertex v)

  Returns `true` if `v` is currently "picked".

  Specified by:
    `isPicked` in interface `PickedInfo`

### clearPickedEdges

    public void clearPickedEdges()

  Clears the "picked" state from all edges.

### getPickedEdges

    public Set getPickedEdges()

  Returns all "picked" edges.

### isPicked

    public boolean isPicked(ArchetypeEdge e)

  Returns `true` if `e` is currently "picked".

  Specified by:
    `isPicked` in interface `PickedInfo`

### addListener

    public void addListener(PickEventListener pel)

  Deprecated. Use addItemListener

  Adds a listener to this instance.

  Parameters:
    `pel` -

### removeListener

    public void removeListener(PickEventListener pel)

  Deprecated. Use removeItemListener

  Removes a listener from this instance.

  Parameters:
    `pel` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD